summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-16 07:07:51 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-23 07:51:27 +0700
commita57b8866e5ee81b63f979112309f6798e6cb3479 (patch)
tree8b83fe257ac1fec9315e6a373f071bcc9eef7a0c /games
parent5ff797727d2e929d1abbb219c195ea792d2561a7 (diff)
downloadslackbuilds-a57b8866e5ee81b63f979112309f6798e6cb3479.tar.gz
slackbuilds-a57b8866e5ee81b63f979112309f6798e6cb3479.tar.xz
games/lmarbles: Added (2D puzzle game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/lmarbles/README10
-rw-r--r--games/lmarbles/doinst.sh3
-rw-r--r--games/lmarbles/lmarbles.638
-rw-r--r--games/lmarbles/lmarbles.SlackBuild92
-rw-r--r--games/lmarbles/lmarbles.info10
-rw-r--r--games/lmarbles/lmarbles.pngbin0 -> 709 bytes
-rw-r--r--games/lmarbles/slack-desc19
7 files changed, 172 insertions, 0 deletions
diff --git a/games/lmarbles/README b/games/lmarbles/README
new file mode 100644
index 0000000000..1b9d84aa36
--- /dev/null
+++ b/games/lmarbles/README
@@ -0,0 +1,10 @@
+lmarbles (2D puzzle game)
+
+LMarbles is an Atomix clone with a slight change in concept. Instead of
+assembling molecules you create figures out of marbles. Nevertheless,
+the basic game play is the same: If a marble starts to move it will not
+stop until it hits a wall or another marble. To make it more interesting
+there are obstacles like one-way streets, crumbling walls and portals.
+
+As Marbles is meant as a puzzle game you play against a move limit and
+not a time limit. This way you have as much time as you need to think.
diff --git a/games/lmarbles/doinst.sh b/games/lmarbles/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/lmarbles/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/lmarbles/lmarbles.6 b/games/lmarbles/lmarbles.6
new file mode 100644
index 0000000000..2a12e5981a
--- /dev/null
+++ b/games/lmarbles/lmarbles.6
@@ -0,0 +1,38 @@
+.\" Hey, EMACS: -*- nroff -*-
+.\" First parameter, NAME, should be all caps
+.TH MARBLES 6 "April 15, 2014"
+.SH NAME
+lmarbles \- build figures out of colored marbles
+.SH SYNOPSIS
+.B lmarbles
+.SH DESCRIPTION
+Your goal in the puzzle game
+.B lmarbles
+is to create a more or less complex figure out of single marbles within
+a move limit to reach the next level. Sounds easy? Well, there is a
+problem: If a marble starts to move, it will not stop until it hits
+a wall or another marble.
+.SH OPTIONS
+None.
+.SH FILES
+.TP
+.IP "~/.lgames/lmarbles.conf"
+Automatically generated config file. This is not meant for human editing.
+.TP
+.IP "/var/lib/games/lmarbles.prfs"
+Global preferences and score file. Not for human editing.
+.SH BUGS
+Please report any bugs you find to Michael Speck <kulkanie@gmx.net>
+.SH LICENCE
+.B lmarbles
+is covered by the GNU General Public License(GPL).
+.SH SEE ALSO
+.BR lbreakout (1)
+.PP
+/usr/doc/lmarbles-\fI$VERSION\fR/*
+.SH AUTHOR
+Michael Speck <kulkanie@gmx.net>
+.PP
+This manual page was written by Uwe Hermann <uh1763@hermann-uwe.de>,
+for the Debian GNU/Linux system (but may be used by others). It was
+modified for the SlackBuilds.org project by B. Watson.
diff --git a/games/lmarbles/lmarbles.SlackBuild b/games/lmarbles/lmarbles.SlackBuild
new file mode 100644
index 0000000000..813fc6683d
--- /dev/null
+++ b/games/lmarbles/lmarbles.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for lmarbles
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=lmarbles
+VERSION=${VERSION:-1.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# man page was locally modified (since it's inaccurate), use our version.
+cat $CWD/$PRGNAM.6 > src/$PRGNAM.6
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib/games/$PRGNAM \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --bindir=/usr/games \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# icon converted from lmarbles48.gif (PNG icons are a bit more standard-ey),
+# update .desktop file to use it.
+rm -rf $PKG/usr/share/icons
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+sed -i "/^Icon/s,=.*,=$PRGNAM," $PKG/usr/share/applications/$PRGNAM.desktop
+
+gzip $PKG/usr/man/man6/$PRGNAM.6
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/lmarbles/lmarbles.info b/games/lmarbles/lmarbles.info
new file mode 100644
index 0000000000..bb2d9a2380
--- /dev/null
+++ b/games/lmarbles/lmarbles.info
@@ -0,0 +1,10 @@
+PRGNAM="lmarbles"
+VERSION="1.0.8"
+HOMEPAGE="http://lgames.sourceforge.net/index.php?project=LMarbles"
+DOWNLOAD="http://downloads.sourceforge.net/project/lgames/lmarbles/lmarbles-1.0.8.tar.gz"
+MD5SUM="2735ef0cbf39ac79194321ff49e02f0e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/lmarbles/lmarbles.png b/games/lmarbles/lmarbles.png
new file mode 100644
index 0000000000..8c9d029b0b
--- /dev/null
+++ b/games/lmarbles/lmarbles.png
Binary files differ
diff --git a/games/lmarbles/slack-desc b/games/lmarbles/slack-desc
new file mode 100644
index 0000000000..94d712655f
--- /dev/null
+++ b/games/lmarbles/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lmarbles: lmarbles (2D puzzle game)
+lmarbles:
+lmarbles: LMarbles is an Atomix clone with a slight change in
+lmarbles: concept. Instead of assembling molecules you create figures out of
+lmarbles: marbles. Nevertheless, the basic game play is the same: If a marble
+lmarbles: starts to move it will not stop until it hits a wall or another
+lmarbles: marble. To make it more interesting there are obstacles like one-way
+lmarbles: streets, crumbling walls and portals.
+lmarbles:
+lmarbles:
+lmarbles: